Subject: 答复: trademark
From: "Nico Jiang" <[email-masked]>
To: <[email-masked]>
Cc: "'steven.jiang'" <[email-masked]>
Date: Wed, 7 Nov 2018 14:46:37 +0800

Hi Michael,

Thank you for your email. 

Please help us to register SofiDecora under SofiDecora LLC since you just need to do it by yourself. 

Please let me know the total amount of cost and your service fee.

I will visit Tucson in later December and Steven will pay you whenever you need it.

Thank you and have a good night.

Best regards,

Nico Jiang

General Manager

Mobile: +86 13003148889 / +1 520 7045386

 <http://www.sofidecora.com/> www.sofidecora.com

 <http://www.sofidecora.com/> 

发件人: michael salomon [mailto:[email-masked]] 
发送时间: 2018年11月7日 14:22
收件人: nico.jiang
主题: trademark

Hi Nico,

Hope all is well.

I just started the tradename registration for "IMSOHUNGRY" name and logo with the link below.

https://www.trademarkengine.com/

There are a few different options when you sign up to do it. I did the $69 plan and then added another couple options

which total i think about $200. There is also a fee to the us patent office for $275(i think - when they complete paperwork we pay).

I think the best way to fill out is for us to do on the phone together. (I am assuming you can get to the website from China).

If you want me to i can fill out for you and then you can pay me back. Whatever you want.

When are you coming back to Tucson.

Mike

 

 

 

Michael Salomon CPA

520-589-7000

[email-masked] <mailto:[email-masked]> 

www.msalomoncpa.com <http://www.msalomoncpa.com> 

2813 E Broadway Blvd.

Tucson, AZ. 85716